Author Topic: Problem after upgrading to VM 3.2.1  (Read 1263 times)

cvrak

  • Jr. Member
  • **
  • Posts: 52
  • A beginner
Re: Problem after upgrading to VM 3.2.1
« Reply #15 on: April 24, 2017, 08:31:51 am »
Do you have english categories?
Your back-end is in english and it's as if your category tree is empty and give you TypeError: json is null.
The other errors are CSS tips(in blue), no real bugs. Best is to disable CSS errors reporting.

For now all categories are in Greek.
I set abmin UI default language to Greek, translated some categories in English, but the problem is still there.
I'm stuck, I can't continue with the e-shop, having problem with my client.

Any ideas?
Thanks

Studio 42

  • Contributing Developer
  • Full Member
  • *
  • Posts: 2428
  • Joomla & Virtuemart addon developper
    • Studio 42 - Virtuemart & Joomla extentions
  • VirtueMart Version: 2.6 & 3.0.x.y
Re: Problem after upgrading to VM 3.2.1
« Reply #16 on: April 24, 2017, 13:06:55 pm »
Make a backup and downgrade your shop to 3.0.19.6. should solve your problem.
Of course do a backup.

cvrak

  • Jr. Member
  • **
  • Posts: 52
  • A beginner
Re: Problem after upgrading to VM 3.2.1
« Reply #17 on: April 24, 2017, 18:34:15 pm »
Make a backup and downgrade your shop to 3.0.19.6. should solve your problem.
Of course do a backup.

Downgrade to 3.0.19.6  --> problem remains
Downgrade to 3.0.18  --> blank screen in administrator
Restore from backup, 3.0.18 -->upgrade to 3.0.19.6  --> problem remains

Finally restore from backup 3.0.18. But I have the other problem http://forum.virtuemart.net/index.php?topic=137161.0

Can anyone give any help??

fotonio

  • Beginner
  • *
  • Posts: 28
Re: Problem after upgrading to VM 3.2.1
« Reply #18 on: April 27, 2017, 01:56:05 am »
Hi cvrak,

The problem you have it is possible to be caused by corrupted records in your database tables that are related to the VM categories and products. Browse with phpmyadmin these tables and check that everything looks correct. You should have 3 vm_categories and 3 vm_products tables. Check them and if you find any errors fix them and then try again to update to 3.2.

I would also suggest to activate the language switcher because it is required for multilanguage to work correctly. It wont harm anything to be activated.

good luck